1. 40ozBulldog's Avatar
    I mean are there phones with certain jailbreaks/unlocks that will not work with t-mobile?

    Im going to start shopping monday and want to know what I should look for. Dont really care about 3G because im not going to have a data plan because it has wifi and I wont use the web in my car.

    Also, ive read on here that there are some versions (example 3.1)that will not work on t-mobile. Any help so I dont buy the wrong thing would be great!! Thanks
    2009-10-18 07:26 PM
  2. legendoflink's Avatar
    From my experience with my 2G iPhone(the one with the metal backing) every jailbrake/unlock up to 3.0 works perfectly on it. I haven't tried to upgrade to 3.0.1/3.1, but IMO 3.0 is good enough.
    2009-10-18 08:45 PM
  3. djkns's Avatar
    all 2g/3g/3gs will work with tmobile as long as its unlocked... firmware not an issue... (3.0/3.1/3.1.2) baseband is... (modem firmware 4.26.08 or lower is needed to unlock with ultrasnow)
    2009-10-19 01:02 AM
  4. 40ozBulldog's Avatar
    Thank you!!
    2009-10-19 03:35 PM
  5. Nikez87's Avatar
    Some iPhones with the 5.11.07(?) baseband can be downgraded to the 04.26.08 and then unlocked as well. But if it's your first iPhone and you don't want to deal with the hassle, like the use above said, stick with the 04.26.08.

    I just got a 3G on 05.11.07 with 3.1. Had to downgrade then restore 3.0, then upgrade to 3.1.2 with the 04.26 baseband. Long process but worth it.

    good luck with your shopping.
    2009-10-19 06:48 PM
  6. Ticko's Avatar
    Some iPhones with the 5.11.07(?) baseband can be downgraded to the 04.26.08 and then unlocked as well. But if it's your first iPhone and you don't want to deal with the hassle, like the use above said, stick with the 04.26.08.

    I just got a 3G on 05.11.07 with 3.1. Had to downgrade then restore 3.0, then upgrade to 3.1.2 with the 04.26 baseband. Long process but worth it.

    good luck with your shopping.
    what did you use to downgrade from 5.11 to 4.26 because as I understood it the only thing you can use to downgrade is fuzzyband baseband downgrader which only works for a certain few *rare* basebands and not the genral basebands most people have.
    2009-10-19 08:19 PM
  7. Nikez87's Avatar
    what did you use to downgrade from 5.11 to 4.26 because as I understood it the only thing you can use to downgrade is fuzzyband baseband downgrader which only works for a certain few *rare* basebands and not the genral basebands most people have.
    I used Fuzzyband to downgrade the baseband. I don't remember what exactly was done as I've been through a couple of iPhones now but then I think I downgraded the firmware to 3.0. Then just yesterday I found out how to upgrade to the new 3.1.2 on windows without having my baseband upgrade to 5.11.
    2009-10-19 08:52 PM
LINK TO POST COPIED TO CLIPBOARD